Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.DocType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class DocType
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocType()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `DocumentType` | `getDocumentType()` |
  `int` | `getNpid()` |
  `java.lang.String` | `getPattern()` |
  `java.util.Set<java.lang.Integer>` | `getPositionList()` |
  `Preferences` | `getSetup()` |
  `java.lang.String` | `getSetupString()` |
  `java.lang.String` | `getStringType()` |
  `int` | `getType()` | Deprecated. использовать `getDocumentType()`
  `java.util.Set<java.lang.Integer>` | `getXmlContractConsist()` |
  `java.util.Set<java.lang.Integer>` | `getXmlModulesConsist()` |
  `java.util.Set<java.lang.Integer>` | `getXmlPluginsConsist()` |
  `boolean` | `isCreateWhenLessOrEqZero()` |
  `boolean` | `isCreateWhenStronglyLessZero()` |
  `boolean` | `isNSubContractPositions()` |
  `boolean` | `isSubContractPositions()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setCreateWhenLessOrEqZero​(boolean createWhenZero)` |
  `void` | `setCreateWhenStronglyLessZero​(boolean createWhenStronglyLessZero)` |
  `void` | `setDocumentType​(DocumentType documentType)` |
  `void` | `setNpid​(int npid)` |
  `void` | `setNSubContractPositions​(boolean nsubContractPositions)` |
  `void` | `setPattern​(java.lang.String pattern)` |
  `void` | `setPositionList​(java.util.Set<java.lang.Integer> positions)` |
  `void` | `setSetupString​(java.lang.String setupString)` |
  `void` | `setSubContractPositions​(boolean subContractPositions)` |
  `void` | `setType​(int type)` | Deprecated. использовать `setDocumentType(DocumentType)`
  `void` | `setXmlContractConsist​(java.util.Set<java.lang.Integer> xmlContractConsist)` |
  `void` | `setXmlModulesConsist​(java.util.Set<java.lang.Integer> xmlModulesConsist)` |
  `void` | `setXmlPluginsConsist​(java.util.Set<java.lang.Integer> xmlPluginsConsist)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DocType

    public DocType()

- ## Method Details

  - ### isCreateWhenLessOrEqZero

    public final boolean isCreateWhenLessOrEqZero()

  - ### setCreateWhenLessOrEqZero

    public final void setCreateWhenLessOrEqZero​(boolean createWhenZero)

  - ### getPattern

    public java.lang.String getPattern()

  - ### setPattern

    public void setPattern​(java.lang.String pattern)

  - ### getType

    @Deprecated public int getType()
    Deprecated.
    использовать `getDocumentType()`
    Returns:

  - ### getDocumentType

    public DocumentType getDocumentType()

  - ### setType

    @Deprecated public void setType​(int type)
    Deprecated.
    использовать `setDocumentType(DocumentType)`
    Parameters:
      `type` -

  - ### setDocumentType

    public void setDocumentType​(DocumentType documentType)

  - ### getPositionList

    public java.util.Set<java.lang.Integer> getPositionList()

  - ### setPositionList

    public void setPositionList​(java.util.Set<java.lang.Integer> positions)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isSubContractPositions

    public boolean isSubContractPositions()

  - ### isNSubContractPositions

    public boolean isNSubContractPositions()

  - ### setSubContractPositions

    public void setSubContractPositions​(boolean subContractPositions)

  - ### setNSubContractPositions

    public void setNSubContractPositions​(boolean nsubContractPositions)

  - ### getStringType

    public java.lang.String getStringType()

  - ### getSetup

    public Preferences getSetup()

  - ### setSetupString

    public void setSetupString​(java.lang.String setupString)

  - ### getSetupString

    public java.lang.String getSetupString()

  - ### setCreateWhenStronglyLessZero

    public void setCreateWhenStronglyLessZero​(boolean createWhenStronglyLessZero)

  - ### isCreateWhenStronglyLessZero

    public boolean isCreateWhenStronglyLessZero()

  - ### setNpid

    public void setNpid​(int npid)

  - ### getNpid

    public int getNpid()

  - ### getXmlModulesConsist

    public java.util.Set<java.lang.Integer> getXmlModulesConsist()

  - ### setXmlModulesConsist

    public void setXmlModulesConsist​(java.util.Set<java.lang.Integer> xmlModulesConsist)

  - ### getXmlPluginsConsist

    public java.util.Set<java.lang.Integer> getXmlPluginsConsist()

  - ### setXmlPluginsConsist

    public void setXmlPluginsConsist​(java.util.Set<java.lang.Integer> xmlPluginsConsist)

  - ### getXmlContractConsist

    public java.util.Set<java.lang.Integer> getXmlContractConsist()

  - ### setXmlContractConsist

    public void setXmlContractConsist​(java.util.Set<java.lang.Integer> xmlContractConsist)